Loading...
Searching...
No Matches
SASIndexKey_t Struct Reference

Index Key Handle structure for binary index B-trees. More...

`#include <sasindexkey.h>`

## Public Attributes

machine_uhalf_t | copy_size
machine_uhalf_t | compare_size
machine_uint_t | data [15]

## Detailed Description

Index Key Handle structure for binary index B-trees.

## Member Data Documentation

## compare_size

machine_uhalf_t SASIndexKey_t::compare_size

copy size in bytes of the key struct.

## copy_size

machine_uhalf_t SASIndexKey_t::copy_size

compare size in bytes of the key.

## data

machine_uint_t SASIndexKey_t::data[15]

data area containing the binary key.

The documentation for this struct was generated from the following file:

- src/sasindexkey.h